1

enter image description here

I am getting this error while running this command "bash get_pi_requirements.sh" to Install TensorFlow Lite dependencies and OpenCV for my object detection project. What could be the issue and any possible solution?

[ error: Command "aarch64-linux-gnu-gcc -Wsign-compare -DNDEBUG -g -fwrapv -O2 -Wall -g -fstack-protector-strong -Wformat -Werror=format-security -g -fwrapv -O2 -fPIC -DNPY_INTERNAL_BUILD=1 -DHAVE_NPY_CONFIG_H=1 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE=1 -D_LARGEFILE64_SOURCE=1 -DHAVE_CBLAS -Ibuild/src.linux-aarch64-3.1/numpy/core/src/umath -Ibuild/src.linux-aarch64-3.1/numpy/core/src/npymath -Ibuild/src.linux-aarch64-3.1/numpy/core/src/common -Inumpy/core/include -Ibuild/src.linux-aarch64-3.1/numpy/core/include/numpy -Inumpy/core/src/common -Inumpy/core/src -Inumpy/core -Inumpy/core/src/npymath -Inumpy/core/src/multiarray -Inumpy/core/src/umath -Inumpy/core/src/npysort -I/home/dksgd2sub/tflite1/tflite1-env/include -I/usr/include/python3.11 -Ibuild/src.linux-aarch64-3.1/numpy/core/src/common -Ibuild/src.linux-aarch64-3.1/numpy/core/src/npymath -Ibuild/src.linux-aarch64-3.1/numpy/core/src/common -Ibuild/src.linux-aarch64-3.1/numpy/core/src/npymath -c build/src.linux-aarch64-3.1/numpy/core/src/multiarray/scalartypes.c -o build/temp.linux-aarch64-cpython-311/build/src.linux-aarch64-3.1/numpy/core/src/multiarray/scalartypes.o -MMD -MF build/temp.linux-aarch64-cpython-311/build/src.linux-aarch64-3.1/numpy/core/src/multiarray/scalartypes.o.d" failed with exit status 1 [end of output]

    note: This error originates from a subprocess, and is likely not a problem with pip.
  error: legacy-install-failure
  
  × Encountered error while trying to install package.
  ╰─> numpy
  
  note: This is an issue with the package mentioned above, not pip.
  hint: See above for output from the failure.
  [end of output]

note: This error originates from a subprocess, and is likely not a problem with pip. error: subprocess-exited-with-error

× pip subprocess to install build dependencies did not run successfully. │ exit code: 1 ╰─> See above for output. ]

1
  • Yea I've modified the post Feb 22 at 12:07

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.